Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class MeetingResponseStatus

    java.lang.Object
      com.compoze.exchange.MeetingResponseStatus

All Implemented Interfaces:
  java.io.Serializable

public class MeetingResponseStatus
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a meeting 'response status'. The internationalizable string values are stored in the `exchange_resources.properties` file (accessed through `ExchangeProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static MeetingResponseStatus` | `ACCEPTED` This value represents a response status of 'accepted'.
`static MeetingResponseStatus` | `DECLINED` This value represents a response status of 'declined'.
`static MeetingResponseStatus` | `NONE` This value represents a response status of 'none'.
`static MeetingResponseStatus` | `NOT_RESPONDED` This value represents a response status of 'not responded'.
`static MeetingResponseStatus` | `ORGANIZED` This value represents a response status of 'organized'.
`static MeetingResponseStatus` | `TENTATIVE` This value represents a response status of 'tentative'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static MeetingResponseStatus` | `get(int iStoreValue)` Gets the response status by its store value.
`static java.util.List` | `getList()` Gets the list of response status.
`java.lang.String` | `getName()` Gets the name of the response status using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the response status using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the response status in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final MeetingResponseStatus NONE

  This value represents a response status of 'none'.

### ORGANIZED

    public static final MeetingResponseStatus ORGANIZED

  This value represents a response status of 'organized'.

### TENTATIVE

    public static final MeetingResponseStatus TENTATIVE

  This value represents a response status of 'tentative'.

### ACCEPTED

    public static final MeetingResponseStatus ACCEPTED

  This value represents a response status of 'accepted'.

### DECLINED

    public static final MeetingResponseStatus DECLINED

  This value represents a response status of 'declined'.

### NOT_RESPONDED

    public static final MeetingResponseStatus NOT_RESPONDED

  This value represents a response status of 'not responded'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the response status using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the response status using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the response status in the storage system.

  Returns:
    the store value

### get

    public static MeetingResponseStatus get(int iStoreValue)

  Gets the response status by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching response status or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of response status.

  Returns:
    the list of `MeetingResponseStatus`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.